#
# spec file for package python-flake8-polyfill
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%bcond_without test
Name:           python-flake8-polyfill
Version:        1.0.2
Release:        bp155.2.11
Summary:        Polyfill package for Flake8 plugins
License:        MIT
Group:          Development/Languages/Python
Url:            https://gitlab.com/pycqa/flake8-polyfill
Source:         https://files.pythonhosted.org/packages/source/f/flake8-polyfill/flake8-polyfill-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
%if %{with test}
BuildRequires:  %{python_module flake8}
%endif
Requires:       python-flake8
BuildArch:      noarch

%python_subpackages

%description
Flake8-polyfill is a package that provides some compatibility helpers for
Flake8 plugins that intend to support Flake8 2.x and 3.x simultaneously.

%prep
%setup -q -n flake8-polyfill-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%if %{with test}
%check
%python_exec setup.py test
%endif

%files %{python_files}
%defattr(-,root,root,-)
%doc AUTHORS.rst CHANGELOG.rst README.rst
%license LICENSE
%{python_sitelib}/*

%changelog
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Wed May  9 2018 toddrme2178@gmail.com
- Use license tag
* Sun Dec 31 2017 arun@gmx.de
- update to version 1.0.2:
  * Fix bug where user-supplied value for an option is ignored if the
    option is transformed with comma_separated_list or normalize_paths
    (!4)
* Wed Oct 18 2017 alarrosa@suse.com
- Initial version of python-flake8-polyfill
- Use singlespec
